# UPIWIN - Micro Pi Windows Kernel

*Release 0.1 - December 12, 2019*

This project involves the development of a framework for running self-contained applications in Python
on a Raspberry Pi with LCD graphical output and touchscreen input.  The ultimate goal is to produce a
framework which is flexible enough to serve any number of "appliance" needs, by using different Python
scripts over the same native-code substrate, deployed on an inexpensive embedded platform.

## Hardware requirements

- Raspberry Pi 3 with PiTFT touchscreen (Adafruit product ID 2423). See
  [Building the Hardware to Run UPIWIN](docs/hardware-instructions.md) to assemble the hardware, and
  [Preparing the Operating System for UPIWIN](docs/os-instructions.md) for the system software.

## Acknowledgements

A good portion of this code was written during the VMware Carbon Black Hackathon 3.3, December 6-13 2019.
Grateful acknowledgement is provided to VMware Carbon Black for the time to accomplish this coding.
